Products & Services

All API Operations related with products & services

READ Scope

List all Products & Services

get

Retrieves all the products and services

Authorizations
AuthorizationstringRequired

API Key Authentication

Responses
chevron-right
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get
/v1/product-services
200

OK

Get a Product / Service by ID

get

Retrieves a single product or service by its unique ID or user-generated product code.

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get
/v1/product-services/{id}
200

OK

WRITE Scope

Create a new Product or Service

post

Creates a new product or service

Authorizations
AuthorizationstringRequired

API Key Authentication

Body
namestring · min: 1Required

A user-generated custom code for this product or service

productCodestringOptional

Name of the product or service

taxesstring · uuid[]Optional

A list of the default taxes to be added to when the product is selected in the Nuvio Platform. Provide a list of taxes with their 32-character unique ID.

Responses
chevron-right
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post
/v1/product-services
200

OK

UPDATE Scope

Update Product or Service

put

Updates an existing product or service

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstring · uuidRequired
Body
namestringOptional

A user-generated custom code for this product or service

productCodestringOptional

Name of the product or service

taxesstring · uuid[]Optional

A list of the default taxes to be added to when the product is selected in the Nuvio Platform. Provide a list of taxes with their 32-character unique ID.

Responses
chevron-right
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
put
/v1/product-services/{id}
200

OK

Last updated